Logging out all active users

Logging out all active users
Logging out all active users

Only one user can be active in Tanzu Ops Manager at a time. For API users, we consider a user to be active during the period between their last request and when their token expires.

This endpoint will make inactive all API users and log out all UI users, including yourself, allowing a new user to log in or make API requests.

Request
URI
DELETE
https://{opsmanager-installation}/api/v0/sessions
COPY
Responses
200

OK

Returns EmptyResponse of type(s) application/json
Operation doesn't return any data structure

400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/v0/sessions